import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  ListPipelineExecutionsInput,
  ListPipelineExecutionsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListPipelineExecutionsCommandInput
  extends ListPipelineExecutionsInput {}
export interface ListPipelineExecutionsCommandOutput
  extends ListPipelineExecutionsOutput,
    __MetadataBearer {}
declare const ListPipelineExecutionsCommand_base: {
  new (
    input: ListPipelineExecutionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListPipelineExecutionsCommandInput,
    ListPipelineExecutionsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListPipelineExecutionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListPipelineExecutionsCommandInput,
    ListPipelineExecutionsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListPipelineExecutionsCommand extends ListPipelineExecutionsCommand_base {
  protected static __types: {
    api: {
      input: ListPipelineExecutionsInput;
      output: ListPipelineExecutionsOutput;
    };
    sdk: {
      input: ListPipelineExecutionsCommandInput;
      output: ListPipelineExecutionsCommandOutput;
    };
  };
}
