import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  DeregisterWebhookWithThirdPartyInput,
  DeregisterWebhookWithThirdPartyOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeregisterWebhookWithThirdPartyCommandInput
  extends DeregisterWebhookWithThirdPartyInput {}
export interface DeregisterWebhookWithThirdPartyCommandOutput
  extends DeregisterWebhookWithThirdPartyOutput,
    __MetadataBearer {}
declare const DeregisterWebhookWithThirdPartyCommand_base: {
  new (
    input: DeregisterWebhookWithThirdPartyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeregisterWebhookWithThirdPartyCommandInput,
    DeregisterWebhookWithThirdPartyCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DeregisterWebhookWithThirdPartyCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DeregisterWebhookWithThirdPartyCommandInput,
    DeregisterWebhookWithThirdPartyCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeregisterWebhookWithThirdPartyCommand extends DeregisterWebhookWithThirdPartyCommand_base {
  protected static __types: {
    api: {
      input: DeregisterWebhookWithThirdPartyInput;
      output: {};
    };
    sdk: {
      input: DeregisterWebhookWithThirdPartyCommandInput;
      output: DeregisterWebhookWithThirdPartyCommandOutput;
    };
  };
}
