import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { RollbackStageInput, RollbackStageOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface RollbackStageCommandInput extends RollbackStageInput {}
export interface RollbackStageCommandOutput
  extends RollbackStageOutput,
    __MetadataBearer {}
declare const RollbackStageCommand_base: {
  new (
    input: RollbackStageCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RollbackStageCommandInput,
    RollbackStageCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: RollbackStageCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    RollbackStageCommandInput,
    RollbackStageCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class RollbackStageCommand extends RollbackStageCommand_base {
  protected static __types: {
    api: {
      input: RollbackStageInput;
      output: RollbackStageOutput;
    };
    sdk: {
      input: RollbackStageCommandInput;
      output: RollbackStageCommandOutput;
    };
  };
}
